<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: alatZaAnalitiku/src/dynamicui.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_32374e165223414b7d047617c9a74980.html">alatZaAnalitiku</a></li><li class="navelem"><a class="el" href="dir_a7d251295564edc7fd08ff39724eea9b.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">dynamicui.h</div></div>
</div><!--header-->
<div class="contents">
<a href="dynamicui_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef DYNAMICUI_H</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define DYNAMICUI_H</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="preprocessor">#include &lt;QMainWindow&gt;</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="preprocessor">#include &lt;QHash&gt;</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="preprocessor">#include &lt;QPushButton&gt;</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="preprocessor">#include &lt;QComboBox&gt;</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="preprocessor">#include &lt;QLabel&gt;</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="preprocessor">#include &lt;QScrollArea&gt;</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="preprocessor">#include &quot;<a class="code" href="tcontainer_8h.html">tcontainer.h</a>&quot;</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="preprocessor">#include &quot;<a class="code" href="dataframe_8h.html">dataframe.h</a>&quot;</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="foldopen" id="foldopen00013" data-start="{" data-end="}">
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="namespace_ui.html">   13</a></span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespace_ui.html">Ui</a> {</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="keyword">class </span><a class="code hl_class" href="class_dynamic_u_i.html">DynamicUI</a>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>}</div>
</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="foldopen" id="foldopen00017" data-start="{" data-end="};">
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="class_dynamic_u_i.html">   17</a></span><span class="keyword">class </span><a class="code hl_class" href="class_dynamic_u_i.html">DynamicUI</a> : <span class="keyword">public</span> QMainWindow</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>{</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    Q_OBJECT</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="keyword">public</span>:</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <span class="keyword">explicit</span> <a class="code hl_function" href="class_dynamic_u_i.html#a811040091eba94cfbd1e1af1d7b10728">DynamicUI</a>(QWidget *parent = <span class="keyword">nullptr</span>);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <a class="code hl_function" href="class_dynamic_u_i.html#a811040091eba94cfbd1e1af1d7b10728">DynamicUI</a>(QWidget *parent = <span class="keyword">nullptr</span>, <span class="keyword">const</span> QString &amp;filePath = <span class="stringliteral">&quot;&quot;</span>);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <a class="code hl_function" href="class_dynamic_u_i.html#ae57d3a38008847a8d76836006959d11c">~DynamicUI</a>();</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <a class="code hl_class" href="class_data_frame.html">DataFrame</a> <a class="code hl_function" href="class_dynamic_u_i.html#a43e462afdf6ae64e6e2e1bbc438e82b6">df</a>();</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    QWidget* <a class="code hl_function" href="class_dynamic_u_i.html#a65b793b77bad9e546f0252bf2f8abf14">getContentWidget</a>();</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="class_dynamic_u_i.html#a59083b311b8f0ac9dc696ed459175f3a">   27</a></span>    QPoint <a class="code hl_variable" href="class_dynamic_u_i.html#a59083b311b8f0ac9dc696ed459175f3a">widgetSpawn</a>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_dynamic_u_i.html#aa3e01e5af44026cf74e0ff144ab7e978">addObject</a>(<a class="code hl_class" href="class_t_container.html">TContainer</a> *tc);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span><span class="keyword">public</span> slots:</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_dynamic_u_i.html#ac06db3dc0347f9a8fa595f30a99dad1c">openPlotWindow</a>();</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_dynamic_u_i.html#a5db3df790ea5fa8bc3cc8c9c6a106eae">openStatWindow</a>();</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_dynamic_u_i.html#a64c9a96960114ff012c70264b74b5cf0">saveToPdf</a>(<span class="keyword">const</span> QString &amp;fileName);</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_dynamic_u_i.html#ae3b6466a5848d6ff15e963fe61e6e61d">updateDateTime</a>();</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_dynamic_u_i.html#a3d41e70e20dcc74544dca58ed239630b">saveToPdfButtonClicked</a>();</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    <span class="keywordtype">void</span> <a class="code hl_slot" href="class_dynamic_u_i.html#a374b18830cdf4ed4c8a4e0cebd80c930">expandWorkSpace</a>();</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span><span class="keyword">private</span>:</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="class_dynamic_u_i.html#a7a0ade2b1f4c79dcb76285bc001efe57">   40</a></span>    QVector&lt;TContainer*&gt; <a class="code hl_variable" href="class_dynamic_u_i.html#a7a0ade2b1f4c79dcb76285bc001efe57">objects</a>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="class_dynamic_u_i.html#aec9a6ae025e87e65466e45e2ca68b718">   41</a></span>    Ui::DynamicUI *<a class="code hl_variable" href="class_dynamic_u_i.html#aec9a6ae025e87e65466e45e2ca68b718">ui</a>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="class_dynamic_u_i.html#adade47eeabb865819db19d0c84c2bc50">   42</a></span>    QString <a class="code hl_variable" href="class_dynamic_u_i.html#adade47eeabb865819db19d0c84c2bc50">_filePath</a>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="class_dynamic_u_i.html#a929e5a6b56ff6451c267166bc9c5f46d">   43</a></span>    <a class="code hl_class" href="class_data_frame.html">DataFrame</a> <a class="code hl_variable" href="class_dynamic_u_i.html#a929e5a6b56ff6451c267166bc9c5f46d">_df</a>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="class_dynamic_u_i.html#aedd96653b2325479b9b46a380d6a339c">   44</a></span>    QScrollArea *<a class="code hl_variable" href="class_dynamic_u_i.html#aedd96653b2325479b9b46a380d6a339c">sa</a>;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="class_dynamic_u_i.html#a51b816df63026acc58edae63541ffbc9">   45</a></span>    QWidget *<a class="code hl_variable" href="class_dynamic_u_i.html#a51b816df63026acc58edae63541ffbc9">contentWidget</a>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>};</div>
</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span><span class="preprocessor">#endif</span></div>
<div class="ttc" id="aclass_data_frame_html"><div class="ttname"><a href="class_data_frame.html">DataFrame</a></div><div class="ttdef"><b>Definition</b> dataframe.h:38</div></div>
<div class="ttc" id="aclass_dynamic_u_i_html"><div class="ttname"><a href="class_dynamic_u_i.html">DynamicUI</a></div><div class="ttdef"><b>Definition</b> dynamicui.h:18</div></div>
<div class="ttc" id="aclass_dynamic_u_i_html_a374b18830cdf4ed4c8a4e0cebd80c930"><div class="ttname"><a href="class_dynamic_u_i.html#a374b18830cdf4ed4c8a4e0cebd80c930">DynamicUI::expandWorkSpace</a></div><div class="ttdeci">void expandWorkSpace()</div><div class="ttdef"><b>Definition</b> dynamicui.cpp:104</div></div>
<div class="ttc" id="aclass_dynamic_u_i_html_a3d41e70e20dcc74544dca58ed239630b"><div class="ttname"><a href="class_dynamic_u_i.html#a3d41e70e20dcc74544dca58ed239630b">DynamicUI::saveToPdfButtonClicked</a></div><div class="ttdeci">void saveToPdfButtonClicked()</div><div class="ttdef"><b>Definition</b> dynamicui.cpp:110</div></div>
<div class="ttc" id="aclass_dynamic_u_i_html_a43e462afdf6ae64e6e2e1bbc438e82b6"><div class="ttname"><a href="class_dynamic_u_i.html#a43e462afdf6ae64e6e2e1bbc438e82b6">DynamicUI::df</a></div><div class="ttdeci">DataFrame df()</div><div class="ttdef"><b>Definition</b> dynamicui.cpp:63</div></div>
<div class="ttc" id="aclass_dynamic_u_i_html_a51b816df63026acc58edae63541ffbc9"><div class="ttname"><a href="class_dynamic_u_i.html#a51b816df63026acc58edae63541ffbc9">DynamicUI::contentWidget</a></div><div class="ttdeci">QWidget * contentWidget</div><div class="ttdef"><b>Definition</b> dynamicui.h:45</div></div>
<div class="ttc" id="aclass_dynamic_u_i_html_a59083b311b8f0ac9dc696ed459175f3a"><div class="ttname"><a href="class_dynamic_u_i.html#a59083b311b8f0ac9dc696ed459175f3a">DynamicUI::widgetSpawn</a></div><div class="ttdeci">QPoint widgetSpawn</div><div class="ttdef"><b>Definition</b> dynamicui.h:27</div></div>
<div class="ttc" id="aclass_dynamic_u_i_html_a5db3df790ea5fa8bc3cc8c9c6a106eae"><div class="ttname"><a href="class_dynamic_u_i.html#a5db3df790ea5fa8bc3cc8c9c6a106eae">DynamicUI::openStatWindow</a></div><div class="ttdeci">void openStatWindow()</div><div class="ttdef"><b>Definition</b> dynamicui.cpp:78</div></div>
<div class="ttc" id="aclass_dynamic_u_i_html_a64c9a96960114ff012c70264b74b5cf0"><div class="ttname"><a href="class_dynamic_u_i.html#a64c9a96960114ff012c70264b74b5cf0">DynamicUI::saveToPdf</a></div><div class="ttdeci">void saveToPdf(const QString &amp;fileName)</div><div class="ttdef"><b>Definition</b> dynamicui.cpp:85</div></div>
<div class="ttc" id="aclass_dynamic_u_i_html_a65b793b77bad9e546f0252bf2f8abf14"><div class="ttname"><a href="class_dynamic_u_i.html#a65b793b77bad9e546f0252bf2f8abf14">DynamicUI::getContentWidget</a></div><div class="ttdeci">QWidget * getContentWidget()</div><div class="ttdef"><b>Definition</b> dynamicui.cpp:67</div></div>
<div class="ttc" id="aclass_dynamic_u_i_html_a7a0ade2b1f4c79dcb76285bc001efe57"><div class="ttname"><a href="class_dynamic_u_i.html#a7a0ade2b1f4c79dcb76285bc001efe57">DynamicUI::objects</a></div><div class="ttdeci">QVector&lt; TContainer * &gt; objects</div><div class="ttdef"><b>Definition</b> dynamicui.h:40</div></div>
<div class="ttc" id="aclass_dynamic_u_i_html_a811040091eba94cfbd1e1af1d7b10728"><div class="ttname"><a href="class_dynamic_u_i.html#a811040091eba94cfbd1e1af1d7b10728">DynamicUI::DynamicUI</a></div><div class="ttdeci">DynamicUI(QWidget *parent=nullptr)</div><div class="ttdef"><b>Definition</b> dynamicui.cpp:16</div></div>
<div class="ttc" id="aclass_dynamic_u_i_html_a929e5a6b56ff6451c267166bc9c5f46d"><div class="ttname"><a href="class_dynamic_u_i.html#a929e5a6b56ff6451c267166bc9c5f46d">DynamicUI::_df</a></div><div class="ttdeci">DataFrame _df</div><div class="ttdef"><b>Definition</b> dynamicui.h:43</div></div>
<div class="ttc" id="aclass_dynamic_u_i_html_aa3e01e5af44026cf74e0ff144ab7e978"><div class="ttname"><a href="class_dynamic_u_i.html#aa3e01e5af44026cf74e0ff144ab7e978">DynamicUI::addObject</a></div><div class="ttdeci">void addObject(TContainer *tc)</div><div class="ttdef"><b>Definition</b> dynamicui.cpp:58</div></div>
<div class="ttc" id="aclass_dynamic_u_i_html_ac06db3dc0347f9a8fa595f30a99dad1c"><div class="ttname"><a href="class_dynamic_u_i.html#ac06db3dc0347f9a8fa595f30a99dad1c">DynamicUI::openPlotWindow</a></div><div class="ttdeci">void openPlotWindow()</div><div class="ttdef"><b>Definition</b> dynamicui.cpp:72</div></div>
<div class="ttc" id="aclass_dynamic_u_i_html_adade47eeabb865819db19d0c84c2bc50"><div class="ttname"><a href="class_dynamic_u_i.html#adade47eeabb865819db19d0c84c2bc50">DynamicUI::_filePath</a></div><div class="ttdeci">QString _filePath</div><div class="ttdef"><b>Definition</b> dynamicui.h:42</div></div>
<div class="ttc" id="aclass_dynamic_u_i_html_ae3b6466a5848d6ff15e963fe61e6e61d"><div class="ttname"><a href="class_dynamic_u_i.html#ae3b6466a5848d6ff15e963fe61e6e61d">DynamicUI::updateDateTime</a></div><div class="ttdeci">void updateDateTime()</div><div class="ttdef"><b>Definition</b> dynamicui.cpp:94</div></div>
<div class="ttc" id="aclass_dynamic_u_i_html_ae57d3a38008847a8d76836006959d11c"><div class="ttname"><a href="class_dynamic_u_i.html#ae57d3a38008847a8d76836006959d11c">DynamicUI::~DynamicUI</a></div><div class="ttdeci">~DynamicUI()</div><div class="ttdef"><b>Definition</b> dynamicui.cpp:50</div></div>
<div class="ttc" id="aclass_dynamic_u_i_html_aec9a6ae025e87e65466e45e2ca68b718"><div class="ttname"><a href="class_dynamic_u_i.html#aec9a6ae025e87e65466e45e2ca68b718">DynamicUI::ui</a></div><div class="ttdeci">Ui::DynamicUI * ui</div><div class="ttdef"><b>Definition</b> dynamicui.h:41</div></div>
<div class="ttc" id="aclass_dynamic_u_i_html_aedd96653b2325479b9b46a380d6a339c"><div class="ttname"><a href="class_dynamic_u_i.html#aedd96653b2325479b9b46a380d6a339c">DynamicUI::sa</a></div><div class="ttdeci">QScrollArea * sa</div><div class="ttdef"><b>Definition</b> dynamicui.h:44</div></div>
<div class="ttc" id="aclass_t_container_html"><div class="ttname"><a href="class_t_container.html">TContainer</a></div><div class="ttdef"><b>Definition</b> tcontainer.h:23</div></div>
<div class="ttc" id="adataframe_8h_html"><div class="ttname"><a href="dataframe_8h.html">dataframe.h</a></div></div>
<div class="ttc" id="anamespace_ui_html"><div class="ttname"><a href="namespace_ui.html">Ui</a></div><div class="ttdef"><b>Definition</b> dynamicui.h:13</div></div>
<div class="ttc" id="atcontainer_8h_html"><div class="ttname"><a href="tcontainer_8h.html">tcontainer.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
